Space/sheets
社内シートの列を編集または並べ替え
型の変更により、互換性のあるセル値は型変換され、互換性のない値は削除されます。選択オプションは一致する値のみを保持します。位置は 0 始まりです。
PATCH
/v1/space/sheets/{sheet_id}/tabs/{tab_id}/columns/{column_id}
curl -X PATCH "https://api.orchestor.io/v1/space/sheets/%3Csheet_id%3E/tabs/%3Ctab_id%3E/columns/%3Ccolumn_id%3E" \ -H "Authorization: Bearer $API_KEY" \ -H "X-Workspace-ID: wks_abc123" \ -H "Content-Type: application/json" \ -d '{ "color": "string", "currencyCode": "string", "description": "string", "hidden": true, "options": [ "string" ], "pinned": true, "position": 1, "title": "string", "type": "text", "updated_at": "string", "width": 1}'{ "data": { "archived": true, "created_at": "2026-01-01T00:00:00Z", "deleted_at": "2026-01-01T00:00:00Z", "folder_id": null, "id": "<string>", "pinned": true, "sort_position": 0, "tabs": [ { "columns": [ { "color": "<string>", "currencyCode": "<string>", "description": "<string>", "hidden": true, "id": "<string>", "options": [ "<string>" ], "pinned": true, "title": "<string>", "type": "text", "width": 104 } ], "deleted": true, "filter": { "columnId": "<string>", "value": "<string>" }, "hidden": true, "id": "<string>", "rows": [ { "id": "<string>", "parentId": "<string>", "values": {} } ], "sort": { "columnId": "<string>", "direction": "asc" }, "title": "<string>" } ], "title": "<string>", "updated_at": "2026-01-01T00:00:00Z", "workspace_id": "<string>" }}Orchestor API キーを取得
ワークスペースの設定から API キーを作成します。
認証
認証の詳細
cookie
ヘッダー
ボディapplication/json必須
レスポンス
application/json